Package org.apache.sling.caconfig.management.multiplexer

# Interface ConfigurationMetadataProviderMultiplexer

All Superinterfaces:
  `org.apache.sling.caconfig.spi.ConfigurationMetadataProvider`

All Known Implementing Classes:
  `ConfigurationMetadataProviderMultiplexerImpl`

@ProviderType public interface ConfigurationMetadataProviderMultiplexer extends org.apache.sling.caconfig.spi.ConfigurationMetadataProvider
Detects all `ConfigurationMetadataProvider` implementations in the container and consolidates their result based on service ranking.

## Method Summary

### Methods inherited from interface org.apache.sling.caconfig.spi.ConfigurationMetadataProvider

`getConfigurationMetadata, getConfigurationNames`